org.eclipse.microprofile.reactive.messaging.tck.acknowledgement

## Class MessageProcessorAckTest.MessageProcessor

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.acknowledgement.MessageProcessorAckTest.MessageProcessor

Enclosing class:
  MessageProcessorAckTest

    @ApplicationScoped
    public static class MessageProcessorAckTest.MessageProcessor
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MessageProcessor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `disableFailureMode()`
`void` `enableFailureMode()`
`Message<String>` `process(Message<String> m)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MessageProcessor

    public MessageProcessor()

### Method Detail

#### enableFailureMode

    public void enableFailureMode()

#### disableFailureMode

    public void disableFailureMode()

#### process

    public Message<String> process(Message<String> m)